### BOOT FR ###

#SET 
	tellraw @a {"text":"BOOT"}
	setblock 0 61 0 minecraft:air
	setblock 0 60 0 minecraft:sea_lantern

#gamerule
	gamemode adventure @a
	defaultgamemode adventure
	difficulty peaceful
	gamerule commandBlockOutput false
	gamerule doDaylightCycle false
	gamerule doWeatherCycle false
	gamerule keepInventory true
	gamerule spawnRadius 0
	gamerule spectatorsGenerateChunks false
	gamerule sendCommandFeedback false


# SET SCOREBOARD 

	#set utility
		scoreboard objectives add utility dummy
		scoreboard players set start utility 0
		scoreboard players set checkwin utility 0
		scoreboard players set settop utility 0
		scoreboard players set setgrid utility 0

	#set deco
		scoreboard objectives add deco minecraft.custom:minecraft.leave_game

	#set reco
		scoreboard objectives add reco dummy
		scoreboard players set active reco 0
		scoreboard players set cyan reco 0
		scoreboard players set purple reco 0
		scoreboard players set lime reco 0
		scoreboard players set green reco 0
		scoreboard players set light_blue reco 0
		scoreboard players set blue reco 0
		scoreboard players set red reco 0
		scoreboard players set magenta reco 0
		scoreboard players set yellow reco 0
		scoreboard players set orange reco 0

	#set Victoire
		scoreboard objectives add Victoire dummy
		scoreboard objectives setdisplay list Victoire

	#set choix
		scoreboard objectives add choix dummy
		scoreboard players set cyan choix 0
		scoreboard players set purple choix 0 
		scoreboard players set lime choix 0
		scoreboard players set green choix 0
		scoreboard players set light_blue choix 0 
		scoreboard players set blue choix 0 
		scoreboard players set red choix 0 
		scoreboard players set magenta choix 0 
		scoreboard players set yellow choix 0
		scoreboard players set orange choix 0

	#set BOT 
		scoreboard objectives add BOT dummy
		scoreboard players set cyan BOT 0
		scoreboard players set purple BOT 0
		scoreboard players set lime BOT 0
		scoreboard players set green BOT 0
		scoreboard players set light_blue BOT 0
		scoreboard players set blue BOT 0
		scoreboard players set red BOT 0
		scoreboard players set magenta BOT 0
		scoreboard players set yellow BOT 0
		scoreboard players set orange BOT 0

	#set IA_LEVEL
		scoreboard objectives add IA_LEVEL dummy
		scoreboard players set cyan IA_LEVEL 2
		scoreboard players set purple IA_LEVEL 2
		scoreboard players set lime IA_LEVEL 2
		scoreboard players set green IA_LEVEL 2
		scoreboard players set light_blue IA_LEVEL 2
		scoreboard players set blue IA_LEVEL 2
		scoreboard players set red IA_LEVEL 2
		scoreboard players set magenta IA_LEVEL 2
		scoreboard players set yellow IA_LEVEL 2
		scoreboard players set orange IA_LEVEL 2

	#set LocalPlayer 
		scoreboard objectives add localplayer dummy
		scoreboard players set cyan localplayer 0
		scoreboard players set purple localplayer 0
		scoreboard players set lime localplayer 0
		scoreboard players set green localplayer 0
		scoreboard players set light_blue localplayer 0
		scoreboard players set blue localplayer 0
		scoreboard players set red localplayer 0
		scoreboard players set magenta localplayer 0
		scoreboard players set yellow localplayer 0
		scoreboard players set orange localplayer 0

	# set place
		scoreboard objectives add place dummy
		scoreboard players set cyan place 0
		scoreboard players set purple place 0
		scoreboard players set lime place 0
		scoreboard players set green place 0
		scoreboard players set light_blue place 0
		scoreboard players set blue place 0
		scoreboard players set red place 0
		scoreboard players set magenta place 0
		scoreboard players set yellow place 0
		scoreboard players set orange place 0

	#set variables
		scoreboard objectives add variables dummy
		scoreboard players set langue variables 1
		scoreboard players set gridsize variables 0
		scoreboard players set gridsizeM variables 0
		scoreboard players set puissance variables 4
		scoreboard players set ordre variables 0
		scoreboard players set ia variables 0
		scoreboard players set mode variables 1
		scoreboard players set gamespeed variables -1
		scoreboard players set server utility 0
		execute as @a run scoreboard players add server utility 1


	#set double
		scoreboard objectives add double dummy
		scoreboard players set cyan double 0
		scoreboard players set purple double 0 
		scoreboard players set lime double 0
		scoreboard players set green double 0
		scoreboard players set light_blue double 0 
		scoreboard players set blue double 0 
		scoreboard players set red double 0 
		scoreboard players set magenta double 0 
		scoreboard players set yellow double 0
		scoreboard players set orange double 0

	#set ia
		scoreboard objectives add IA dummy
		scoreboard players reset @e IA

	#set jump
		scoreboard objectives add jump minecraft.custom:minecraft.jump

	#set MOVABLE
		scoreboard objectives add MOVABLE dummy

	#set autogridsize
		scoreboard objectives add autogridsize dummy

	#set CHRONO
		scoreboard objectives add CHRONO dummy
		scoreboard players set cyan CHRONO 0
		scoreboard players set purple CHRONO 0
		scoreboard players set lime CHRONO 0
		scoreboard players set green CHRONO 0
		scoreboard players set light_blue CHRONO 0
		scoreboard players set blue CHRONO 0
		scoreboard players set red CHRONO 0
		scoreboard players set magenta CHRONO 0
		scoreboard players set yellow CHRONO 0
		scoreboard players set orange CHRONO 0

	#set localgame
		scoreboard objectives add localgame dummy

#team
	#HUB
		team add HUB
		team modify HUB color white
		team modify HUB collisionRule never
		team modify HUB friendlyFire false
	#SPEC
		team add spec
		team modify spec color gray
		team modify spec collisionRule never
		team modify spec friendlyFire false
		team modify spec seeFriendlyInvisibles false
	#LOCAL
		team add local
		team modify local color black
	#cyan
		team add cyan
		team modify cyan color dark_aqua
		team modify cyan seeFriendlyInvisibles false
	#lime
		team add lime
		team modify lime color green
		team modify lime seeFriendlyInvisibles false
	#light_blue
		team add light_blue
		team modify light_blue color aqua
		team modify light_blue seeFriendlyInvisibles false
	#red
		team add red
		team modify red color dark_red
		team modify red seeFriendlyInvisibles false
	#yellow
		team add yellow
		team modify yellow color yellow
		team modify yellow seeFriendlyInvisibles false
	#purple
		team add purple 
		team modify purple color dark_purple
		team modify purple seeFriendlyInvisibles false
	#green
		team add green 
		team modify green color dark_green
		team modify green seeFriendlyInvisibles false
	#blue
		team add blue 
		team modify blue color blue
		team modify blue seeFriendlyInvisibles false
	#magenta
		team add magenta
		team modify magenta color light_purple
		team modify magenta seeFriendlyInvisibles false
	#orange
		team add orange
		team modify orange color gold
		team modify orange seeFriendlyInvisibles false

#joueurs
	team join HUB @a
	tp @a 0 62 0 180 0
	clear @a
	scoreboard players set @a deco 0

#HUB SIGN
	fill 2 62 4 -2 62 4 minecraft:dark_oak_wall_sign
	setblock 0 63 4 minecraft:dark_oak_wall_sign
	setblock 0 61 4 minecraft:dark_oak_wall_sign
	execute if score mode variables matches 1 run fill -4 62 2 -4 62 -2 minecraft:air
	execute if score mode variables matches 1 run fill 4 62 -2 4 62 2 minecraft:air

#set loop
	schedule function main:mainloop 1t
	schedule function main:hub 1t

#set right game mode 
	scoreboard players set server utility 0
	execute as @a run scoreboard players add server utility 1
	execute if score server utility matches ..1 run scoreboard players set mode variables 2
	execute unless score mode variables matches 1 run fill -4 62 2 -4 62 -2 minecraft:birch_wall_sign[facing=east]
	execute unless score mode variables matches 1 run fill 4 62 -2 4 62 2 minecraft:birch_wall_sign[facing=west]

execute if block 0 59 -58 minecraft:iron_block run function help:darkmode
setblock 0 61 -34 minecraft:stone_button[face=wall,facing=south]
schedule function sign:refresh 1t